Subject: Re: [BUG] gitweb on repo.or.cz shows buggy commitdiff

From: Jakub Narebski <[email-masked]>
Date: Mon, 27 Aug 2007 03:12:18 +0200

Petr Baudis wrote:
> On Mon, Aug 27, 2007 at 02:30:04AM CEST, Jakub Narebski wrote:

>> 2. Alternate solution is to note that we have split patch only in the case
>> of 'T' (type change) status, and for typechange we always split patch in
>> two, so there are two patches corresponding to single raw diff-tree line.
[...]
> 
> I'd prefer this solution, though I think split patch could also happen
> if you use -B (which I think is very good idea to use and it's a pity
> that it isn't default - or is it?).

No, 'B' status does not means split patch: it only affects how the
patchset looks like, i.e first delete all then add all, instead of
doing change chunk by chunk.

Or I think it does. "git log --raw -p --diff-filter=B -B origin"
on git.git repository returns rather strange results for the difftree
part...

-- 
Jakub Narebski
Poland